===== configure 1.138 vs edited =====
--- 1.138/configure	2007-01-02 13:34:09 -05:00
+++ edited/configure	2007-01-02 13:30:28 -05:00
@@ -207,7 +207,6 @@ MANNUM1_8
 MANSAPPNAME
 MANSFILENAME
 MANSYS
-MIMENCODE
 MKDEPCOPTS
 MKDEPCXXOPTS
 MKDEPEND
@@ -3647,17 +3646,13 @@ test "$UUENCODE" || {
 }
 test -x "$UUENCODE" && Note "Found uuencode encoder: $UUENCODE"
 
-if [ -z "$BASE64ENCODE" ]; then
-    # Use suggested $MIMENCODE for compatibility with earlier versions:
-    BASE64ENCODE=$MIMENCODE;
-fi
 test "$BASE64ENCODE" || {
     BASE64ENCODE=`findAppDef mimencode $PATH mimencode`
     test -x $BASE64ENCODE || {
 	BASE64ENCODE=`findAppDef base64-encode $PATH base64-encode`
 	if [ -x "$UUENCODE" ]; then
 	    if capture "$UUENCODE -m port.h foo"; then
-		BASE64ENCODE="$UUENCODE -m ===="
+		BASE64ENCODE="$UUENCODE -m ==== | grep -v ===="
 	    fi
 	fi
     }
@@ -3673,13 +3668,10 @@ test "$QPENCODE" || {
 }
 test -n "$QPENCODE" && Note "Found Quoted-Printable encoder: $QPENCODE"
 
-# Keeping $MIMENCODE up to date for older scripts...
-test "$MIMENCODE" || MIMENCODE=$BASE64ENCODE
-
 if [ -z "$ENCODING" ]; then
     if [ -n "$BASE64ENCODE" ]; then
 	ENCODING=base64
-	Note "Looks like $MIMENCODE supports base64 encoding."
+	Note "Looks like $BASE64ENCODE supports base64 encoding."
     elif [ -n "$UUENCODE" ]; then
 	ENCODING=x-uuencode
 	Note "Looks like $UUENCODE does not support base64 encoding."
===== etc/faxsetup.sh.in 1.53 vs edited =====
--- 1.53/etc/faxsetup.sh.in	2007-01-02 13:34:09 -05:00
+++ edited/etc/faxsetup.sh.in	2007-01-02 13:32:04 -05:00
@@ -49,7 +49,6 @@ test -d /usr/sbin && PATH=/usr/sbin:$PAT
 test -d /usr/local/bin && PATH=$PATH:/usr/local/bin	# for GNU tools
 
 AWK=@AWK@			# awk for use below
-BASE64ENCODE=@BASE64ENCODE@	# base64encode command to dump in setup.cache
 CAT=@CAT@			# cat command for use below
 CHARSET=@CHARSET@		# character set to use in e-mails
 CHGRP=@CHGRP@			# change file group for use below
@@ -62,7 +61,6 @@ FUSER=@FUSER@			# fuser command to dump 
 GREP=@GREP@			# grep command for use below
 LN=@LN@				# ln command for use below
 LN_S=@LN_S@			# ln option for creating a symbolic link
-MIMENCODE=@MIMENCODE@		# mimencode command to dump in setup.cache
 MKFIFO=@MKFIFO@			# FIFO creation program for use below
 MV=@MV@				# move file for use below
 QPENCODE=@QPENCODE@		# qpencode command to dump in setup.cache
@@ -71,7 +69,9 @@ SCRIPT_SH=@SCRIPT_SH@		# shell for use b
 SED=@SED@			# sed for use below
 TIFF2PDF=@TIFF2PDF@		# tiff-to-pdf conversion tool
 TTYCMD=@TTYCMD@			# tty for error output
-UUENCODE=@UUENCODE@		# uuencode command to dump in setup.cache
+
+BASE64ENCODE="@BASE64ENCODE@"	# base64encode command to dump in setup.cache
+UUENCODE="@UUENCODE@"		# uuencode command to dump in setup.cache
 
 FAX=@FAXUID@			# identity of the fax user
 SERVICES=/etc/services		# location of services database
@@ -154,7 +154,6 @@ LIBDATA		DIR_LIBDATA
 LIBEXEC		DIR_LIBEXEC
 LN
 MANDIR		DIR_MAN
-MIMENCODE
 MKFIFO
 MV
 PATH
@@ -795,10 +794,6 @@ test -x "$UUENCODE" || {
     test -x "$UUENCODE" && Note "Found uuencode encoder: $UUENCODE"
 }
 
-if [ -z "$BASE64ENCODE" ]; then
-    # Keep configured base64 encoder for upgrades from earlier versions:
-    BASE64ENCODE=$MIMENCODE;
-fi
 # $BASE64ENCODE may contain parameters
 cmd=`echo $BASE64ENCODE | $SED -e "s/^ *//" -e "s/ .*$//"`
 test -x "$cmd" || {
@@ -826,9 +821,6 @@ test -x "$cmd" || {
     }
     test -n "$QPENCODE" && Note "Found Quoted-Printable encoder: $QPENCODE"
 }
-
-# Keeping $MIMENCODE up to date for older scripts...
-test -x "$MIMENCODE" || MIMENCODE=$BASE64ENCODE
 
 if [ -n "$BASE64ENCODE" ]; then
     if [ "$ENCODING" != "base64" ]; then
===== util/common-functions.sh.in 1.27 vs edited =====
--- 1.27/util/common-functions.sh.in	2007-01-02 13:34:09 -05:00
+++ edited/util/common-functions.sh.in	2007-01-02 13:28:41 -05:00
@@ -162,6 +162,11 @@ parseFaxInfo()
     eval "$AWK_OUTPUT"
 }
 
+programOfCommand()
+{
+	echo "$*" | $SED -e -'s/^ *//' -e 's/ .*$//'
+}
+
 #
 # Produce mailable encoding for binary files.
 # mimeEncode(filename, encoding)
@@ -184,32 +189,28 @@ mimeEncode()
     case "$encoding" in
         base64)
 	    if [ -n "$BASE64ENCODE" ]; then
+
 		# $BASE64ENCODE may contain parameters
-		cmd=`echo $BASE64ENCODE | $SED -e "s/^ *//" -e "s/ .*$//"`
+		cmd=`programOfCommand $BASE64ENCODE`
 		if [ -x "$cmd" ]; then
-		    ($BASE64ENCODE < $1 \
-			| $GREP -v "====$") \
-			2>$ERRORSTO
+		    $BASE64ENCODE < $1 2>$ERRORSTO
 		fi
 	    # For compatibility with earlier configurations:
 	    elif [ -x "$MIMENCODE" ]; then
 		$MIMENCODE < $1 2>$ERRORSTO
-	    elif [ -x "$UUENCODE" ]; then
-		($UUENCODE -m ==== < $1 \
-		    | $GREP -v "====$") \
-		    2>$ERRORSTO
+	    else
+		$AWK -f bin/b64-encode.awk < $1 2>$ERRORSTO
 	    fi;;
         quoted-printable)
 	    if [ -n "$QPENCODE" ]; then
 		# $QPENCODE may contain parameters
-		cmd=`echo $QPENCODE | $SED -e "s/^ *//" -e "s/ .*$//"`
+		cmd=`programOfCommand $QPENCODE`
 		if [ -x "$cmd" ]; then
 		    $QPENCODE < $1 2>$ERRORSTO
 		fi
             # For compatibility with earlier configurations:
-	    elif [ -x "$MIMENCODE" ]; then
-		# Take a chance that $MIMENCODE really contains mimencode
-		$MIMENCODE -q < $1 2>$ERRORSTO
+	    else
+		$AWK -f bin/qp-encode.awk < $1 2>$ERRORSTO
 	    fi;;
         *uue*)
 	    if [ -x "$UUENCODE" ]; then
===== util/faxrcvd.sh.in 1.44 vs edited =====
--- 1.44/util/faxrcvd.sh.in	2007-01-02 13:34:09 -05:00
+++ edited/util/faxrcvd.sh.in	2007-01-02 13:32:43 -05:00
@@ -54,7 +54,6 @@ EOF
 # didn't re-run faxsetup; we set them before calling setup.cache for
 # backward compatibility.
 ENCODING=base64
-MIMENCODE=mimencode
 TIFF2PDF=bin/tiff2pdf
 TTYCMD=tty
 CHARSET=us-ascii
===== util/notify.sh.in 1.7 vs edited =====
--- 1.7/util/notify.sh.in	2007-01-02 13:34:09 -05:00
+++ edited/util/notify.sh.in	2007-01-02 13:33:26 -05:00
@@ -55,7 +55,6 @@ NEXT=${4:-'??:??'}
 # didn't re-run faxsetup; we set them before calling setup.cache for
 # backward compatibility.
 ENCODING=base64
-MIMENCODE=mimencode
 TIFF2PDF=bin/tiff2pdf
 TTYCMD=tty
 CHARSET=us-ascii
===== util/pollrcvd.sh.in 1.12 vs edited =====
--- 1.12/util/pollrcvd.sh.in	2007-01-02 13:34:09 -05:00
+++ edited/util/pollrcvd.sh.in	2007-01-02 13:32:57 -05:00
@@ -55,7 +55,6 @@ EOF
 # didn't re-run faxsetup; we set them before calling setup.cache for
 # backward compatibility.
 ENCODING=base64
-MIMENCODE=mimencode
 TIFF2PDF=bin/tiff2pdf
 TTYCMD=tty
 CHARSET=us-ascii
===== util/tiff2pdf.sh.in 1.7 vs edited =====
--- 1.7/util/tiff2pdf.sh.in	2007-01-02 13:34:09 -05:00
+++ edited/util/tiff2pdf.sh.in	2007-01-02 13:33:13 -05:00
@@ -59,7 +59,6 @@ EOF
 # didn't re-run faxsetup; we set them before calling setup.cache for
 # backward compatibility.
 ENCODING=base64
-MIMENCODE=mimencode
 TTYCMD=tty
 
 . etc/setup.cache
